Y.CookieAccept =  {
    "init": function(){
        var acceptCookie = Y.Cookie.get("_cookies_accepted", Number),
            cookieAcceptHTMLNode;
        if (acceptCookie !== 1) {
            cookieAcceptHTMLNode = Y.Node.create(Y.Node.one("#cookie-acceptance").getContent());
            Y.Node.one("body").prepend(cookieAcceptHTMLNode);
            cookieAcceptHTMLNode.show(true);
            cookieAcceptHTMLNode.one("#accept-cookies").on("click", this.handleClick);
        }

        return this;
    },
    "handleClick": function() {
        var expDate = new Date();
        expDate.setFullYear(expDate.getFullYear() + 1);
        Y.Cookie.set("_cookies_accepted", "1", {"expires": expDate, "path": "/"});
        this.ancestor(".cookie-policy").hide(true, {height: "0", opacity: 1, duration: 0.5}, function(){ Y.Node(this).remove(); });

        return this;
    }
};
