YUI.add('soundmanager-test', function (Y) {

var suite;

suite = new Y.Test.Suite('soundmanager');

suite.add(new Y.Test.Case({

    name: 'All',

    _should: {
        ignore: {
            'setup soundManager': !Y.SWFDetect.isFlashVersionAtLeast(9,0,0),
            'soundManager: xdomain works': !Y.SWFDetect.isFlashVersionAtLeast(9,0,0)
        }
    },

    "setup soundManager": function () {

        var loc = Y.config.win.location,
            test = this;

        soundManager.setup({
            url: 'assets/soundmanager/',
            debugMode: true,
            debugFlash: true,
            consoleOnly: true,
            allowScriptAccess: 'always',
            flashVersion: 9,
            flashLoadTimeout: 0,
            onready: function () {
                test.resume();
            }
        });

        soundManager.beginDelayedInit();

        this.wait();

    },

    "soundManager not null": function () {
        Y.Assert.isNotNull(soundManager);
    },

    "soundManager: xdomain works": function () {
      Y.Assert.isTrue(soundManager.enabled);
    }

}));


Y.Test.Runner.add(suite);

}, '@VERSION@', {
    requires: ['swfdetect']
});
