YUI.add('one-iedownload-test', function (Y) {

var Assert = Y.Assert,
    suite;

suite = new Y.Test.Suite({
    name: 'one-iedownload',

    // called before the first test in the first test case is executed
    // before the test's setup() method
    setUp : function () {
        //test-suite-level setup
    },

    // executes after all tests in all test cases/suites have been executed
    // after the test's teardown()
    tearDown: function () {
        //test-suite-level teardown 
    },
});

suite.add(new Y.Test.Case({

    name: "IE Versions",

    setUp: function() {
        WINDOWS_INSTALL_URL = '/';
    },

    "function should return a boolean": function() {
        Y.Assert.isTypeOf('boolean', Y.ONE.IEDownloads.init() );
    },

    "function should return true for IE 1 to 8, and false otherwise": function() {
        Y.assert(Y.ONE.IEDownloads.init(8), "Should be true" );
        Y.assert(!Y.ONE.IEDownloads.init(9), "Should be false" );
    }

}));

/**
suite.add(new Y.Test.Case({

    name: ""

    " ": function() {

    }

}));
**/

Y.Test.Runner.add(suite);

}, '@VERSION@', {
        requires: ['one-iedownload', 'test']
});
